package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SubmitShemeTemplateEntryCollection extends AbstractObjectCollection 
{
    public SubmitShemeTemplateEntryCollection()
    {
        super(SubmitShemeTemplateEntryInfo.class);
    }
    public boolean add(SubmitShemeTemplateEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SubmitShemeTemplateEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SubmitShemeTemplateEntryInfo item)
    {
        return removeObject(item);
    }
    public SubmitShemeTemplateEntryInfo get(int index)
    {
        return(SubmitShemeTemplateEntryInfo)getObject(index);
    }
    public SubmitShemeTemplateEntryInfo get(Object key)
    {
        return(SubmitShemeTemplateEntryInfo)getObject(key);
    }
    public void set(int index, SubmitShemeTemplateEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SubmitShemeTemplateEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SubmitShemeTemplateEntryInfo item)
    {
        return super.indexOf(item);
    }
}